> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list users

> API to fetch a cursor-based paginated list of all users in the list.



## OpenAPI

````yaml GET /v1/subscriber_list/{list_id}/subscriber/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/{list_id}/subscriber/:
    get:
      summary: Get list subscribers
      description: API to fetch a cursor-based paginated list of all users in the list.
      operationId: get-subscriber-list-users
      parameters:
        - name: list_id
          in: path
          description: The list_id of your subscriber list
          schema:
            type: string
            default: list_id
          required: true
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
            default: 20
        - name: before
          in: query
          description: the 'id' before which the results need to be fetched
          schema:
            type: string
        - name: after
          in: query
          description: the 'id' after which the results need to be fetched
          schema:
            type: string
        - name: sort
          in: query
          description: >-
            the sort order, ascending or descending, here it's decided by 'id':
            ascending and '-id': descending
          schema:
            type: string
            default: '-id'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      limit: 2
                      count: 10
                      before: 01HAZ8CZ111111
                      after: 01H9S626C33222222
                      has_prev: true
                      has_next: true
                    results:
                      - id: 01HENBBNXXXXXXXXXX
                        distinct_id: distinct_id_1
                        created_at: '2023-11-07T16:55:23.736016+00:00'
                      - id: 01HENBYYYYYYYYYY
                        distinct_id: distinct_id2
                        created_at: '2023-11-07T16:55:23.751078+00:00'
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      limit:
                        type: integer
                        description: number of results to be returned in API response
                        default: 20
                      count:
                        type: integer
                        description: total number of users in the list
                      before:
                        type: string
                        description: cursor of the previous page.
                        example: 01HAZ8CZ111111
                      after:
                        type: string
                        description: cursor of the next page.
                        example: 01H9S626C33222222
                      has_prev:
                        type: boolean
                        description: Indicates if there is a previous page.
                      has_next:
                        type: boolean
                        description: Indicates if there is a next page.
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Indicates the subscription id
                        distinct_id:
                          type: string
                          description: unique identifier of the user
                          example: distinct_id_1
                        created_at:
                          type: string
                          description: timestamp when this subscription was added
                          example: '2023-11-07T16:55:23.736016+00:00'
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: 'list_id: fffd not found'
                    detail: 'list_id: fffd not found'
              schema:
                type: object
                description: error code and message detailing
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````